Show / Hide Table of Contents

# Struct RaptureLogModule

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Misc

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct RaptureLogModule

### Fields

| Improve this Doc View Source

#### ChatTabs

##### Declaration

    public byte *ChatTabs

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### ExcelModuleInterface

##### Declaration

    public ExcelModuleInterface*ExcelModuleInterface

##### Field Value

Type | Description
--- | ---
ExcelModuleInterface* |

| Improve this Doc View Source

#### LogModule

##### Declaration

    public LogModule LogModule

##### Field Value

Type | Description
--- | ---
LogModule |

| Improve this Doc View Source

#### MsgSourceArray

##### Declaration

    public LogMessageSource*MsgSourceArray

##### Field Value

Type | Description
--- | ---
LogMessageSource* |

| Improve this Doc View Source

#### MsgSourceArrayLength

##### Declaration

    public int MsgSourceArrayLength

##### Field Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### RaptureTextModule

##### Declaration

    public RaptureTextModule*RaptureTextModule

##### Field Value

Type | Description
--- | ---
RaptureTextModule* |

### Methods

| Improve this Doc View Source

#### GetContentIdForLogMessage(Int32)

##### Declaration

    [MemberFunction("4C 8B 81 ?? ?? ?? ?? 4D 85 C0 74 17")]
    public ulong GetContentIdForLogMessage(int index)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | index |

##### Returns

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### ShowLogMessage(UInt32)

##### Declaration

    [MemberFunction("E8 ?? ?? ?? ?? 44 03 FB")]
    public void ShowLogMessage(uint logMessageID)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | logMessageID |